CREATE TABLE IF NOT EXISTS #__Stalytics_bots (
	id INT NOT NULL AUTO_INCREMENT,
	bot_string varchar(50) NOT NULL default '',
	bot_name varchar(50) NOT NULL default '',  
	PRIMARY KEY  (id),  
	UNIQUE (bot_string)
);

CREATE TABLE IF NOT EXISTS #__Stalytics_browser (
	id INT NOT NULL AUTO_INCREMENT,
	browser_string varchar(50) NOT NULL default '',
	browser_name varchar(50) NOT NULL default '',  
	PRIMARY KEY  (id),  
	UNIQUE (browser_string)
);
	
CREATE TABLE IF NOT EXISTS #__Stalytics_os (
	id INT NOT NULL AUTO_INCREMENT,
	os_string varchar(50) NOT NULL default '',
	os_name varchar(50) NOT NULL default '',  
	PRIMARY KEY  (id),  
	UNIQUE (os_string)
);

CREATE TABLE IF NOT EXISTS #__Stalytics_search (
	id INT NOT NULL AUTO_INCREMENT,
	search_name varchar(50) NOT NULL default '',
	search_string varchar(50) NOT NULL default '',
	search_var varchar(25) NOT NULL default '',  
	PRIMARY KEY  (id),  
	UNIQUE (search_string)
);

CREATE TABLE IF NOT EXISTS #__Stalytics_lang (
	id INT NOT NULL AUTO_INCREMENT,
	lang_string varchar(10) NOT NULL default '',
	lang_name varchar(50) NOT NULL default '',  
	PRIMARY KEY  (id),  
	UNIQUE (lang_string)
);

CREATE TABLE IF NOT EXISTS #__Stalytics_visitors_count (
	id INT NOT NULL AUTO_INCREMENT,
	count_visitors INT NOT NULL DEFAULT 1,
	count_pis INT NOT NULL DEFAULT 1,
	hour TINYINT NOT NULL,
	year_day SMALLINT NOT NULL,
	month_day TINYINT NOT NULL,
	week_day TINYINT NOT NULL ,
	week TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	stamp DATETIME DEFAULT '0000-00-00 00:00:00' NOT NULL ,
	count_visitors_registered INT(11) DEFAULT '0' NOT NULL,
	count_pis_registered INT(11) DEFAULT '0' NOT NULL,
	PRIMARY KEY  (id)
);

CREATE TABLE IF NOT EXISTS #__Stalytics_PI_count (
	id INT NOT NULL AUTO_INCREMENT,
	site_name TEXT NOT NULL DEFAULT '',
	count_PI INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date DATE DEFAULT '0000-00-00' NOT NULL ,
	PRIMARY KEY  (id)
);
	
CREATE TABLE IF NOT EXISTS #__Stalytics_file_count (
	id int(11) NOT NULL auto_increment,
	file text NOT NULL,
	count_file int(11) NOT NULL default '1',
	month_day tinyint(4) NOT NULL default '0',
	month tinyint(4) NOT NULL default '0',
	year smallint(6) NOT NULL default '0',
	visit_date date NOT NULL default '0000-00-00',
	PRIMARY KEY  (id)
);
													
CREATE TABLE IF NOT EXISTS #__Stalytics_config (
	id INT NOT NULL AUTO_INCREMENT,
	name VARCHAR(100) NOT NULL DEFAULT '',
	description VARCHAR(200) NOT NULL DEFAULT '',
	value longtext NULL DEFAULT '',
	PRIMARY KEY  (id)
);


CREATE TABLE IF NOT EXISTS #__Stalytics_ip_filter (
	id INT NOT NULL AUTO_INCREMENT ,
	ip1 VARCHAR(25) NOT NULL DEFAULT '',
	ip2 VARCHAR(25) NOT NULL DEFAULT '',
	ip_from BIGINT NOT NULL ,
	ip_to BIGINT NOT NULL ,
	PRIMARY KEY (id)
);
	   
CREATE TABLE IF NOT EXISTS #__Stalytics_provider_count (id INT NOT NULL AUTO_INCREMENT,
	provider_name TEXT NOT NULL DEFAULT '',
	count_provider INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY (id)
);

CREATE TABLE IF NOT EXISTS #__Stalytics_lang_count (id INT NOT NULL AUTO_INCREMENT,
	lang TEXT NOT NULL DEFAULT '',
	count_lang INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY (id)
);
	       
CREATE TABLE IF NOT EXISTS #__Stalytics_country_count (id INT NOT NULL AUTO_INCREMENT,
	country TEXT NOT NULL DEFAULT '',
	count_country INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY (id)
);
	       
CREATE TABLE IF NOT EXISTS #__Stalytics_os_count (id INT NOT NULL AUTO_INCREMENT,
	os_name TEXT NOT NULL DEFAULT '',
	count_os INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY (id)
);
	       
CREATE TABLE IF NOT EXISTS #__Stalytics_phrases_count (id INT NOT NULL AUTO_INCREMENT,
	phrase TEXT NOT NULL DEFAULT '',
	count_phrase INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY (id)
);
	   
CREATE TABLE IF NOT EXISTS #__Stalytics_referer_count (id INT NOT NULL AUTO_INCREMENT,
	referer TEXT NOT NULL DEFAULT '',
	what_is_it TINYINT NOT NULL DEFAULT 0,
	count_referer INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY  (id)
);
	   
CREATE TABLE IF NOT EXISTS #__Stalytics_browser_count (id INT NOT NULL AUTO_INCREMENT,
	browser TEXT NOT NULL DEFAULT '',
	is_bot TINYINT NOT NULL DEFAULT 0,
	count_browser INT NOT NULL DEFAULT 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY  (id)
);
	   
CREATE TABLE IF NOT EXISTS #__Stalytics_startpage_count (id INT NOT NULL AUTO_INCREMENT,
	title TEXT NOT NULL DEFAULT '',
	count_page INT NOT NULL DEFAULT 1,
	year_day SMALLINT NOT NULL,
	month_day TINYINT NOT NULL,
	week_day TINYINT NOT NULL ,
	week TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL DEFAULT '0000-00-00',
	PRIMARY KEY  (id)
);
	
CREATE TABLE IF NOT EXISTS #__Stalytics_exitpage_count (id INT NOT NULL AUTO_INCREMENT,
	title TEXT NOT NULL DEFAULT '',
	count_page INT NOT NULL DEFAULT 1,
	year_day SMALLINT NOT NULL,
	month_day TINYINT NOT NULL,
	week_day TINYINT NOT NULL ,
	week TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date DATE NOT NULL DEFAULT '0000-00-00',
	last_update DATETIME DEFAULT '0000-00-00 00:00:00' NOT NULL,
	PRIMARY KEY  (id)
);
	   
CREATE TABLE IF NOT EXISTS #__Stalytics_visitors (id BIGINT NOT NULL AUTO_INCREMENT,
	session_id VARCHAR( 100 ) NOT NULL ,
	start_time DATETIME DEFAULT '0000-00-00 00:00:00' NOT NULL ,
	ip VARCHAR( 20 ) NOT NULL ,
	domain VARCHAR( 10 ) NOT NULL ,
	language VARCHAR( 100 ) NOT NULL ,
	country VARCHAR( 200 ) NOT NULL ,
	host VARCHAR( 200 ) NOT NULL ,
	os VARCHAR( 50 ) NOT NULL ,
	browser VARCHAR( 50 ) NOT NULL ,
	is_robot TINYINT DEFAULT '0' NOT NULL ,
	referer TEXT NOT NULL ,
	phrases_words TEXT NOT NULL ,
	width SMALLINT DEFAULT '0' NOT NULL ,
	height SMALLINT DEFAULT '0' NOT NULL ,
	colordepth SMALLINT DEFAULT '0' NOT NULL ,
	line_speed VARCHAR( 50 ) NOT NULL ,
	number_of_PI MEDIUMINT DEFAULT '0' NOT NULL ,
	stay_time TIME DEFAULT '00:00:00' NOT NULL ,
	last_action DATETIME DEFAULT '0000-00-00 00:00:00' NOT NULL ,
	isRegistered TINYINT( 1 ) DEFAULT '0' NOT NULL,
	realname VARCHAR( 50 ) DEFAULT 'not set' NOT NULL,
	username VARCHAR( 50 ) DEFAULT 'not set' NOT NULL,
	emailadr VARCHAR( 60 ) DEFAULT 'not set' NOT NULL,
	referrerFullPath VARCHAR( 255 ) DEFAULT '' NOT NULL,
	PRIMARY KEY ( id ) 
);

CREATE TABLE IF NOT EXISTS #__Stalytics_visitors_recurrent_count (id INT NOT NULL AUTO_INCREMENT,
	visit_date DATE NOT NULL DEFAULT '0000-00-00',
	visit_1 INT NOT NULL DEFAULT 1,
	visit_2 INT NOT NULL DEFAULT 0,
	visit_3 INT NOT NULL DEFAULT 0,
	visit_4 INT NOT NULL DEFAULT 0,
	visit_5 INT NOT NULL DEFAULT 0,
	visit_6_8 INT NOT NULL DEFAULT 0,
	visit_9_14 INT NOT NULL DEFAULT 0,
	visit_15_25 INT NOT NULL DEFAULT 0,
	visit_26_50 INT NOT NULL DEFAULT 0,
	visit_51_100 INT NOT NULL DEFAULT 0,
	visit_101_200 INT NOT NULL DEFAULT 0,
	visit_bigger_201 INT NOT NULL DEFAULT 0,
	PRIMARY KEY ( id ) 
);
		
CREATE TABLE IF NOT EXISTS #__Stalytics_click_path (
	id BIGINT NOT NULL AUTO_INCREMENT,
	user_id BIGINT NOT NULL default '0',
	site_name TEXT NOT NULL default '', 
	site_path TEXT NOT NULL default '', 
	visit_date datetime NOT NULL default '0000-00-00 00:00:00',
	stay_time TIME NOT NULL,
	isRegistered TINYINT( 1 ) DEFAULT '0' NOT NULL,
	PRIMARY KEY  (id)
);
	   
CREATE TABLE IF NOT EXISTS #__Stalytics_plugins (id INT NOT NULL AUTO_INCREMENT,
	plugin varchar(255) NOT NULL default '',
	count_plugin INT NOT NULL default 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL default '0000-00-00',
	PRIMARY KEY (id)
);
		
CREATE TABLE IF NOT EXISTS #__Stalytics_resolution_count (id INT NOT NULL AUTO_INCREMENT,
	resolution varchar(255) NOT NULL default '',
	count_resolution INT NOT NULL default 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL default '0000-00-00',
	PRIMARY KEY (id)
);
	
CREATE TABLE IF NOT EXISTS #__Stalytics_color_count (id INT NOT NULL AUTO_INCREMENT,
	color varchar(255) NOT NULL default '',
	count_color INT NOT NULL default 1,
	month_day TINYINT NOT NULL,
	month TINYINT NOT NULL ,
	year SMALLINT NOT NULL ,
	visit_date date NOT NULL default '0000-00-00',
	PRIMARY KEY (id)
);
		
CREATE TABLE IF NOT EXISTS #__Stalytics_ip_locate (id INT NOT NULL AUTO_INCREMENT,
	ipFrom bigint(20) NOT NULL default 0,
	ipTo bigint(20) NOT NULL default 0,
	iso1 char(3) NOT NULL default '-',
	iso2 varchar(5) default '',
	iso3 varchar(5) default '',
	isoNo int(11) default 0,
	fips varchar(4) default '',
	country varchar(30) NOT NULL default '',
	tld varchar(4) default '',
	capital varchar(30) default '',
	regions varchar(30) default '',
	currency varchar(30) default '',
	currCode varchar(6) default '',
	population int(11) default 0,
	PRIMARY KEY (id)
);
	
CREATE TABLE IF NOT EXISTS #__Stalytics_config_flash (
	id INT NOT NULL AUTO_INCREMENT,
	name VARCHAR(100) NOT NULL DEFAULT '',
	description VARCHAR(200) NOT NULL DEFAULT '',
	value VARCHAR(30) NULL DEFAULT '',
	PRIMARY KEY  (id)
);

CREATE TABLE IF NOT EXISTS #__Stalytics_members_count (
  id int(11) NOT NULL auto_increment,
  username text,
  realname text,
  emailadr text,
  count_visitors int(11) NOT NULL default '1',
  count_pis int(11) NOT NULL default '1',
  hour tinyint(4) NOT NULL default '0',
  year_day smallint(6) NOT NULL default '0',
  month_day tinyint(4) NOT NULL default '0',
  week_day tinyint(4) NOT NULL default '0',
  week tinyint(4) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  year smallint(6) NOT NULL default '0',
  stamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id)
);

INSERT IGNORE INTO #__Stalytics_config_flash (name,description,value) VALUES 
	('maxChartLines','_FLASH_CONFIG','4'),
	('tween','_FLASH_CONFIG','1'),
	('fillChart','_FLASH_CONFIG','1'),
	('fillChartAlphaDiff','_FLASH_CONFIG','5'),
	('showFlash','_FLASH_CONFIG','1'),
	('lineColor_0','lineColorValue_0','0x7AA054'),
	('lineColor_1','lineColorValue_1','0xABDB6C'),
	('lineColor_2','lineColorValue_2','0x6EBB00'),
	('lineColor_3','lineColorValue_3','0x374C23'),
	('lineColor_4','lineColorValue_4','0x6801A9'),
	('lineColor_5','lineColorValue_5','0xbb02ff'),
	('lineColor_6','lineColorValue_6','0x0000ff'),
	('lineColor_7','lineColorValue_7','0xff8a00'),
	('lineColor_8','lineColorValue_8','0x00ffde'),
	('lineColor_9','lineColorValue_9','0x1c600c'),
	('linewidth_0','linewidthValue_0','1'),
	('linewidth_1','linewidthValue_1','1'),
	('linewidth_2','linewidthValue_2','1'),
	('linewidth_3','linewidthValue_3','1'),
	('linewidth_4','linewidthValue_4','1'),
	('linewidth_5','linewidthValue_5','1'),
	('linewidth_6','linewidthValue_6','1'),
	('linewidth_7','linewidthValue_7','1'),
	('linewidth_8','linewidthValue_8','1'),
	('linewidth_9','linewidthValue_9','1'),
	('fillColor_0','fillColorValue_0','0x489ed1'),
	('fillColor_1','fillColorValue_1','0x000000'),
	('fillColor_2','fillColorValue_2','0x44d741'),
	('fillColor_3','fillColorValue_3','0xffff00'),
	('fillColor_4','fillColorValue_4','0xff0202'),
	('fillColor_5','fillColorValue_5','0xbb02ff'),
	('fillColor_6','fillColorValue_6','0x0000ff'),
	('fillColor_7','fillColorValue_7','0xff8a00'),
	('fillColor_8','fillColorValue_8','0x00ffde'),
	('fillColor_9','fillColorValue_9','0x1c600c'),
	('alphaFill_0','alphaFillValue_0','40'),
	('alphaFill_1','alphaFillValue_1','40'),
	('alphaFill_2','alphaFillValue_2','40'),
	('alphaFill_3','alphaFillValue_3','40'),
	('alphaFill_4','alphaFillValue_4','40'),
	('alphaFill_5','alphaFillValue_5','40'),
	('alphaFill_6','alphaFillValue_6','40'),
	('alphaFill_7','alphaFillValue_7','40'),
	('alphaFill_8','alphaFillValue_8','40'),
	('alphaFill_9','alphaFillValue_9','40');












		
INSERT IGNORE INTO #__Stalytics_config (name,description,value) VALUES 
	('maxVisitors','_MAX_VISITORS_CONFIG','500'),
	('language','_LANGUAGE_CONFIG','en'),
	('directConf','_DIRECT_CONFIG','aktday'),
	('os','_OPERATING_SYSTEM_CONFIG','1'),
	('browser','_BROWSER_CONFIG','1'),
	('country','_COUNTRY_CONFIG','1'),
	('lang','_BROWSER_LANGUAGE_CONFIG','1'),
	('pi','_NUMBER_OF_PI_CONFIG','1'),
	('clickpath','_CLICKPATH_CONFIG','1'),
	('exitpage','_EXITTPAGE_CONFIG','1'),
	('startpage','_STARTPAGE_CONFIG','1'),
	('plugins','_PLUGINS_CONFIG','1'),
	('provider','_PROVIDER_CONFIG','1'),
	('referer','_REFERER_CONFIG','1'),
	('search','_SEARCH_CONFIG','1'),
	('phrases','_PHRASEN_CONFIG','1'),
	('resolution','_RESOLUTION_CONFIG','1'),
	('color','_COLOR_DEPTH_CONFIG','1'),
	('cbEmailOnOff','_EMAIL_ON_OFF','0'),
	('tfEmailAddress','_EMAIL_RECEIVER',' '),
	('selectEmailIntervall','_EMAIL_INTERVALL','monthly'),
	('nextEmailSendDate', '', ''),
	('no_of_values','','10'),
	('visitor_expire','_CONFIG_VISITOR_EXPIRE','3600'),
	('gmt_offset','_CONFIG_GMT_OFFSET','0'),
	('cbReferrerFullPathOnOff','_CONFIG_SHOW_REFERRER_FULL_PATH','0'),
	('cuttedSitename','_CUTTED_SITENAME',''),
	('automaticCleanUpOnOff','_AUTOMATIC_CLEANUP','1'),
	('defaultDatepicker', '', 'last3Weeks'),
	('defaultStat', '', '6_browser'),
	('defaultLimit', '', '10'),
	('defaultChartType', '', 'BAR_FILLED'),
	('license', '', ''),
	('report_timespan', '', '14'),
	('report_overview', '', '1'),
	('report_visitors', '', '0'),
	('report_visitors_perday', '', '1');

    
INSERT IGNORE INTO #__Stalytics_bots VALUES 
	(1, 'acme.spider', 'Acme Spider'),
	(2, 'ahoythehomepagefinder', 'Ahoy! The Homepage Finder'),
	(3, 'alkaline', 'Alkaline'),
	(4, 'appie', 'Walhello appie'),
	(5, 'arachnophilia', 'Arachnophilia'),
	(6, 'architext', 'ArchitextSpider'),
	(7, 'aretha', 'Aretha'),
	(8, 'ariadne', 'ARIADNE'),
	(9, 'arks', 'arks'),
	(10, 'aspider', 'ASpider (Associative Spider)'),
	(11, 'atn.txt', 'ATN Worldwide'),
	(12, 'atomz', 'Atomz.com Search Robot'),
	(13, 'auresys', 'AURESYS'),
	(14, 'backrub', 'BackRub'),
	(15, 'biUKrother', 'Big Brother'),
	(16, 'bjaaland', 'Bjaaland'),
	(17, 'blackwidow', 'BlackWidow'),
	(18, 'blindekuh', 'Die Blinde Kuh'),
	(19, 'bloodhound', 'Bloodhound'),
	(20, 'brightnet', 'bright.net caching robot'),
	(21, 'bspider', 'BSpider'),
	(22, 'cactvschemistryspider', 'CACTVS Chemistry Spider'),
	(23, 'calif[^r]', 'Calif'),
	(24, 'cassandra', 'Cassandra'),
	(25, 'cgireader', 'Digimarc Marcspider/CGI'),
	(26, 'checkbot', 'Checkbot'),
	(27, 'churl', 'churl'),
	(28, 'cmc', 'CMC/0.01'),
	(29, 'collective', 'Collective'),
	(30, 'combine', 'Combine System'),
	(31, 'conceptbot', 'Conceptbot'),
	(32, 'coolbot', 'CoolBot'),
	(33, 'core', 'Web Core / Roots'),
	(34, 'cosmos', 'XYLEME Robot'),
	(35, 'cruiser', 'Internet Cruiser Robot'),
	(36, 'cusco', 'Cusco'),
	(37, 'cyberspyder', 'CyberSpyder Link Test'),
	(38, 'deweb', 'DeWeb(c) Katalog/Index'),
	(39, 'dienstspider', 'DienstSpider'),
	(40, 'digger', 'Digger'),
	(41, 'diibot', 'Digital Integrity Robot'),
	(42, 'directhit', 'Direct Hit Grabber'),
	(43, 'dnabot', 'DNAbot'),
	(44, 'download_express', 'DownLoad Express'),
	(45, 'dragonbot', 'DragonBot'),
	(46, 'dwcp', 'DWCP (Dridus Web Cataloging Project)'),
	(47, 'e-collector', 'e-collector'),
	(48, 'ebiness', 'EbiNess'),
	(49, 'eit', 'EIT Link Verifier Robot'),
	(50, 'elfinbot', 'ELFINBOT'),
	(51, 'emacs', 'Emacs-w3 Search Engine'),
	(52, 'emcspider', 'ananzi'),
	(53, 'esther', 'Esther'),
	(54, 'evliyacelebi', 'Evliya Celebi'),
	(55, 'nzexplorer', 'nzexplorer'),
	(56, 'fdse', 'Fluid Dynamics Search Engine robot'),
	(57, 'felix', 'Felix IDE'),
	(58, 'ferret', 'Wild Ferret Web Hopper #1, #2, #3'),
	(59, 'fetchrover', 'FetchRover'),
	(60, 'fido', 'fido'),
	(61, 'finnish', 'Haemaehaekki'),
	(62, 'fireball', 'KIT-Fireball'),
	(63, '[^a]fish', 'Fish search'),
	(64, 'fouineur', 'Fouineur'),
	(65, 'francoroute', 'Robot Francoroute'),
	(66, 'freecrawl', 'Freecrawl'),
	(67, 'funnelweb', 'FunnelWeb'),
	(68, 'gama', 'gammaSpider, FocusedCrawler'),
	(69, 'gazz', 'gazz'),
	(70, 'gcreep', 'GCreep'),
	(71, 'getbot', 'GetBot'),
	(72, 'geturl', 'GetURL'),
	(73, 'golem', 'Golem'),
	(74, 'googlebot', 'Googlebot (Google)'),
	(75, 'grapnel', 'Grapnel/0.01 Experiment'),
	(76, 'griffon', 'Griffon'),
	(77, 'gromit', 'Gromit'),
	(78, 'gulliver', 'Northern Light Gulliver'),
	(79, 'hambot', 'HamBot'),
	(80, 'harvest', 'Harvest'),
	(81, 'havindex', 'havIndex'),
	(82, 'hometown', 'Hometown Spider Pro'),
	(83, 'htdig', 'ht://Dig'),
	(84, 'htmlgobble', 'HTMLgobble'),
	(85, 'hyperdecontextualizer', 'Hyper-Decontextualizer'),
	(86, 'iajabot', 'iajaBot'),
	(87, 'ibm', 'IBM_Planetwide'),
	(88, 'iconoclast', 'Popular Iconoclast'),
	(89, 'ilse', 'Ingrid'),
	(90, 'imagelock', 'Imagelock'),
	(91, 'incywincy', 'IncyWincy'),
	(92, 'informant', 'Informant'),
	(93, 'infoseek', 'InfoSeek Robot 1.0'),
	(94, 'infoseeksidewinder', 'Infoseek Sidewinder'),
	(95, 'infospider', 'InfoSpiders'),
	(96, 'inspectorwww', 'Inspector Web'),
	(97, 'intelliagent', 'IntelliAgent'),
	(98, 'irobot', 'I, Robot'),
	(99, 'iron33', 'Iron33'),
	(100, 'israelisearch', 'Israeli-search'),
	(101, 'javabee', 'JavaBee'),
	(102, 'jbot', 'JBot Java Web Robot'),
	(103, 'jcrawler', 'JCrawler'),
	(104, 'jeeves', 'Jeeves'),
	(105, 'jobo', 'JoBo Java Web Robot'),
	(106, 'jobot', 'Jobot'),
	(107, 'joebot', 'JoeBot'),
	(108, 'jubii', 'The Jubii Indexing Robot'),
	(109, 'jumpstation', 'JumpStation'),
	(110, 'katipo', 'Katipo'),
	(111, 'kdd', 'KDD-Explorer'),
	(112, 'kilroy', 'Kilroy'),
	(113, 'ko_yappo_robot', 'KO_Yappo_Robot'),
	(114, 'labelgrabber.txt', 'LabelGrabber'),
	(115, 'larbin', 'larbin'),
	(116, 'legs', 'legs'),
	(117, 'linkidator', 'Link Validator'),
	(118, 'linkscan', 'LinkScan'),
	(119, 'linkwalker', 'LinkWalker'),
	(120, 'lockon', 'Lockon'),
	(121, 'logo_gif', 'logo.gif Crawler'),
	(122, 'lycos', 'Lycos'),
	(123, 'macworm', 'Mac WWWWorm'),
	(124, 'magpie', 'Magpie'),
	(125, 'marvin', 'marvin/infoseek'),
	(126, 'mattie', 'Mattie'),
	(127, 'mediafox', 'MediaFox'),
	(128, 'merzscope', 'MerzScope'),
	(129, 'meshexplorer', 'NEC-MeshExplorer'),
	(130, 'mindcrawler', 'MindCrawler'),
	(131, 'moget', 'moget'),
	(132, 'momspider', 'MOMspider'),
	(133, 'monster', 'Monster'),
	(134, 'motor', 'Motor'),
	(135, 'muscatferret', 'Muscat Ferret'),
	(136, 'mwdsearch', 'Mwd.Search'),
	(137, 'myweb', 'Internet Shinchakubin'),
	(138, 'netcarta', 'NetCarta WebMap Engine'),
	(139, 'netcraft', 'Netcraft Web Server Survey'),
	(140, 'netmechanic', 'NetMechanic'),
	(141, 'netscoop', 'NetScoop'),
	(142, 'newscan-online', 'newscan-online'),
	(143, 'nhse', 'NHSE Web Forager'),
	(144, 'nomad', 'Nomad'),
	(145, 'northstar', 'The NorthStar Robot'),
	(146, 'occam', 'Occam'),
	(147, 'octopus', 'HKU WWW Octopus'),
	(148, 'openfind', 'Openfind data gatherer'),
	(149, 'orb_search', 'Orb Search'),
	(150, 'packrat', 'Pack Rat'),
	(151, 'pageboy', 'PageBoy'),
	(152, 'parasite', 'ParaSite'),
	(153, 'patric', 'Patric'),
	(154, 'pegasus', 'pegasus'),
	(155, 'perignator', 'The Peregrinator'),
	(156, 'perlcrawler', 'PerlCrawler 1.0'),
	(157, 'phantom', 'Phantom'),
	(158, 'piltdownman', 'PiltdownMan'),
	(159, 'pimptrain', 'Pimptrain.coms robot'),
	(160, 'pioneer', 'Pioneer'),
	(161, 'pitkow', 'html_analyzer'),
	(162, 'pjspider', 'Portal Juice Spider'),
	(163, 'pka', 'PGP Key Agent'),
	(164, 'plumtreewebaccessor', 'PlumtreeWebAccessor'),
	(165, 'poppi', 'Poppi'),
	(166, 'portalb', 'PortalB Spider'),
	(167, 'puu', 'GetterroboPlus Puu'),
	(168, 'python', 'The Python Robot'),
	(169, 'raven', 'Raven Search'),
	(170, 'rbse', 'RBSE Spider'),
	(171, 'resumerobot', 'Resume Robot'),
	(172, 'rhcs', 'RoadHouse Crawling System'),
	(173, 'roadrunner', 'Road Runner: The ImageScape Robot'),
	(174, 'robbie', 'Robbie the Robot'),
	(175, 'robi', 'ComputingSite Robi/1.0'),
	(176, 'robofox', 'RoboFox'),
	(177, 'robozilla', 'Robozilla'),
	(178, 'roverbot', 'Roverbot'),
	(179, 'rules', 'RuLeS'),
	(180, 'safetynetrobot', 'SafetyNet Robot'),
	(181, 'scooter', 'Scooter (AltaVista)'),
	(182, 'search_au', 'Search.Aus-AU.COM'),
	(183, 'searchprocess', 'SearchProcess'),
	(184, 'senrigan', 'Senrigan'),
	(185, 'sgscout', 'SG-Scout'),
	(186, 'shaggy', 'ShagSeeker'),
	(187, 'shaihulud', 'Shai Hulud'),
	(188, 'sift', 'Sift'),
	(189, 'simbot', 'Simmany Robot Ver1.0'),
	(190, 'site-valet', 'Site Valet'),
	(191, 'sitegrabber', 'Open Text Index Robot'),
	(192, 'sitetech', 'SiteTech-Rover'),
	(193, 'slcrawler', 'SLCrawler'),
	(194, 'slurp', 'Inktomi Slurp'),
	(195, 'smartspider', 'Smart Spider'),
	(196, 'snooper', 'Snooper'),
	(197, 'solbot', 'Solbot'),
	(198, 'spanner', 'Spanner'),
	(199, 'speedy', 'Speedy Spider'),
	(200, 'spider_monkey', 'spider_monkey'),
	(201, 'spiderbot', 'SpiderBot'),
	(202, 'spiderline', 'Spiderline Crawler'),
	(203, 'spiderman', 'SpiderMan'),
	(204, 'spiderview', 'SpiderView(tm)'),
	(205, 'spry', 'Spry Wizard Robot'),
	(206, 'ssearcher', 'Site Searcher'),
	(207, 'suke', 'Suke'),
	(208, 'suntek', 'suntek search engine'),
	(209, 'sven', 'Sven'),
	(210, 'tach_bw', 'TACH Black Widow'),
	(211, 'tarantula', 'Tarantula'),
	(212, 'tarspider', 'tarspider'),
	(213, 'techbot', 'TechBOT'),
	(214, 'templeton', 'Templeton'),
	(215, 'teoma_agent1', 'TeomaTechnologies'),
	(216, 'titin', 'TitIn'),
	(217, 'titan', 'TITAN'),
	(218, 'tkwww', 'The TkWWW Robot'),
	(219, 'tlspider', 'TLSpider'),
	(220, 'ucsd', 'UCSD Crawl'),
	(221, 'udmsearch', 'UdmSearch'),
	(222, 'urlck', 'URL Check'),
	(223, 'valkyrie', 'Valkyrie'),
	(224, 'victoria', 'Victoria'),
	(225, 'visionsearch', 'vision-search'),
	(226, 'voyager', 'Voyager'),
	(227, 'vwbot', 'VWbot'),
	(228, 'w3index', 'The NWI Robot'),
	(229, 'w3m2', 'W3M2'),
	(230, 'wallpaper', 'WallPaper'),
	(231, 'wanderer', 'the World Wide Web Wanderer'),
	(232, 'wapspider', 'w@pSpider by wap4.com'),
	(233, 'webbandit', 'WebBandit Web Spider'),
	(234, 'webcatcher', 'WebCatcher'),
	(235, 'webcopy', 'WebCopy'),
	(236, 'webfetcher', 'Webfetcher'),
	(237, 'webfoot', 'The Webfoot Robot'),
	(238, 'weblayers', 'Weblayers'),
	(239, 'weblinker', 'WebLinker'),
	(240, 'webmirror', 'WebMirror'),
	(241, 'webmoose', 'The Web Moose'),
	(242, 'webquest', 'WebQuest'),
	(243, 'webreader', 'Digimarc MarcSpider'),
	(244, 'webreaper', 'WebReaper'),
	(245, 'websnarf', 'Websnarf'),
	(246, 'webspider', 'WebSpider'),
	(247, 'webvac', 'WebVac'),
	(248, 'webwalk', 'webwalk'),
	(249, 'webwalker', 'WebWalker'),
	(250, 'webwatch', 'WebWatch'),
	(251, 'wget', 'Wget'),
	(252, 'whatuseek', 'whatUseek Winona'),
	(253, 'whowhere', 'WhoWhere Robot'),
	(254, 'wired-digital', 'Wired Digital'),
	(255, 'wmir', 'w3mir'),
	(256, 'wolp', 'WebStolperer'),
	(257, 'wombat', 'The Web Wombat'),
	(258, 'worm', 'The World Wide Web Worm'),
	(259, 'wwwc', 'WWWC Ver 0.2.5'),
	(260, 'wz101', 'WebZinger'),
	(261, 'xget', 'XGET'),
	(262, 'nederland.zoek', 'Nederland.zoek'),
	(263, 'antibot', 'Antibot'),
	(264, 'awbot', 'AWBot'),
	(265, 'baiduspider', 'BaiDuSpider'),
	(266, 'bobby', 'Bobby'),
	(267, 'boris', 'Boris'),
	(268, 'bumblebee', 'Bumblebee (relevare.com)'),
	(269, 'cscrawler', 'CsCrawler'),
	(270, 'daviesbot', 'DaviesBot'),
	(271, 'digout4u', 'Digout4u'),
	(272, 'echo', 'EchO!'),
	(273, 'exactseek', 'ExactSeek Crawler'),
	(274, 'ezresult', 'Ezresult'),
	(275, 'fast-webcrawler', 'Fast-Webcrawler (AllTheWeb)'),
	(276, 'gigabot', 'GigaBot'),
	(277, 'gnodspider', 'GNOD Spider'),
	(278, 'ia_archiver', 'Alexa (IA Archiver)'),
	(279, 'internetseer', 'InternetSeer'),
	(280, 'jennybot', 'JennyBot'),
	(281, 'justview', 'JustView'),
	(282, 'linkbot', 'LinkBot'),
	(283, 'linkchecker', 'LinkChecker'),
	(284, 'mercator', 'Mercator'),
	(285, 'msiecrawler', 'MSIECrawler'),
	(286, 'perman', 'Perman surfer'),
	(287, 'petersnews', 'Petersnews'),
	(288, 'pompos', 'Pompos'),
	(289, 'psbot', 'psBot'),
	(290, 'redalert', 'Red Alert'),
	(291, 'shoutcast', 'Shoutcast Directory Service'),
	(292, 'slysearch', 'SlySearch'),
	(293, 'turnitinbot', 'Turn It In'),
	(294, 'ultraseek', 'Ultraseek'),
	(295, 'unlost_web_crawler', 'Unlost Web Crawler'),
	(296, 'voila', 'Voila'),
	(297, 'webbase', 'WebBase'),
	(298, 'webcompass', 'webcompass'),
	(299, 'wisenutbot', 'WISENutbot (Looksmart)'),
	(300, 'yandex', 'Yandex bot'),
	(301, 'zyborg', 'Zyborg (Looksmart)'),
	(308, 'mixcat', 'morris - mixcat crawler'),
	(305, 'netresearchserver', 'Net Research Server'),
	(306, 'vagabondo', 'vagabondo (test version WiseGuys webagent)'),
	(307, 'szukacz', 'Szukacz crawler'),
	(309, 'grub-client', 'Grubss distributed crawler'),
	(310, 'fluffy', 'fluffy (searchhippo)'),
	(311, 'webtrends link analyzer', 'webtrends link analyzer'),
	(312, 'naverrobot', 'naver'),
	(313, 'steeler', 'steeler'),
	(314, 'bordermanager', 'bordermanager'),
	(315, 'nutch', 'Nutch'),
	(316, 'teradex', 'Teradex'),
	(317, 'deepindex', 'DeepIndex'),
	(318, 'npbot', 'NPBot'),
	(319, 'webcraftboot', 'Webcraftboot'),
	(320, 'franklin locator', 'Franklin locator'),
	(321, 'internet ninja', 'Internet ninja'),
	(322, 'space bison', 'Space bison'),
	(323, 'gornker', 'gornker crawler'),
	(324, 'gaisbot', 'Gaisbot'),
	(325, 'cj spider', 'CJ spider'),
	(326, 'semanticdiscovery', 'Semantic Discovery'),
	(327, 'zao', 'Zao'),
	(328, 'web downloader', 'Web Downloader'),
	(329, 'webstripper', 'Webstripper'),
	(330, 'zeus', 'Zeus'),
	(331, 'webrace', 'Webrace'),
	(332, 'christcrawler', 'ChristCENTRAL'),
	(333, 'webfilter', 'Webfilter'),
	(334, 'webgather', 'Webgather'),
	(335, 'surveybot', 'Surveybot'),
	(336, 'nitle blog spider', 'Nitle Blog Spider'),
	(337, 'galaxybot', 'Galaxybot'),
	(338, 'fangcrawl', 'FangCrawl'),
	(339, 'searchspider', 'SearchSpider'),
	(340, 'msnbot', 'msnbot'),
	(341, 'computer_and_automation_research_institute_crawler', 'computer and automation research institute crawler'),
	(342, 'overture-webcrawler', 'overture-webcrawler'),
	(343, 'exalead ng', 'exalead ng'),
	(344, 'denmex websearch', 'denmex websearch'),
	(345, 'linkfilter.net url verifier', 'linkfilter.net url verifier'),
	(346, 'mac finder', 'mac finder'),
	(347, 'polybot', 'polybot'),
	(348, 'quepasacreep', 'quepasacreep'),
	(349, 'xenu link sleuth', 'xenu link sleuth'),
	(350, 'hatena antenna', 'hatena antenna'),
	(351, 'timbobot', 'timbobot'),
	(352, 'waypath scout', 'waypath scout'),
	(353, 'technoratibot', 'technoratibot'),
	(354, 'frontier', 'frontier'),
	(355, 'blogosphere', 'blogosphere'),
	(356, 'my little bot', 'my little bot'),
	(357, 'illinois state tech labs', 'illinois state tech labs'),
	(358, 'splatsearch.com', 'splatsearch'),
	(359, 'blogshares bot', 'blogshares bot'),
	(360, 'fastbuzz.com', 'fastbuzz'),
	(361, 'obidos-bot', 'obidos'),
	(362, 'blogwise.com-metachecker', 'blogwise.com metachecker'),
	(363, 'bravobrian bstop', 'bravobrian bstop'),
	(364, 'feedster crawler', 'feedster'),
	(365, 'isspider', 'blogpulse'),
	(366, 'syndic8', 'syndic8'),
	(367, 'blogvisioneye', 'blogvisioneye'),
	(368, 'downes/referrers', 'downes/referrers'),
	(369, 'naverbot', 'naverbot'),
	(370, 'soziopath', 'soziopath'),
	(371, 'nextopiabot', 'nextopiabot'),
	(372, 'ingrid', 'ingrid'),
	(373, 'vspider', 'vspider'),
	(374, 'yahoo', 'Yahoo'),
	(375, 'sherlock-spider', 'Sherlock Spider'),
	(376, 'mercubot', 'Mercubot'),
	(377, 'mediapartners-google', 'Mediapartners Google'),
	(378, 'jetbot', 'JetBot'),
	(379, 'faxobot', 'FaxoBot'),
	(380, 'cosmixcrawler', 'cosmix crawler'),
	(381, 'exabot', 'exabot'),
	(382, 'sitespider', 'sitespider'),
	(383, 'pipeliner', 'pipeliner'),
	(384, 'ccgcrawl', 'ccgcrawl'),
	(385, 'cydralspider', 'cydralspider'),
	(386, 'crawlconvera', 'crawlconvera'),
	(387, 'blogwatcher', 'blogwatcher'),
	(388, 'mozdex', 'mozdex'),
	(389, 'aleksika spider', 'aleksika spider'),
	(390, 'e-societyrobot', 'e-societyrobot'),
	(391, 'enterprise_search', 'enterprise search'),
	(392, 'seekbot', 'seekbot');


INSERT IGNORE INTO #__Stalytics_search VALUES 
	(1, 'Google', 'google.', 'p=,q='),
	(2, 'Alexa', 'alexa.com', 'q='),
	(3, 'Alltheweb', 'alltheweb.com', 'query=,q='),
	(4, 'Altavista', 'altavista.', 'q='),
	(5, 'DMOZ', 'dmoz.org', 'search='),
	(6, 'Google Images', 'images.google.', 'p=,q='),
	(7, 'Lycos', 'lycos.', 'query='),
	(8, 'Msn', 'msn.', 'q='),
	(9, 'Netscape', 'netscape.', 'search='),
	(10, 'Search AOL', 'search.aol.com', 'query='),
	(11, 'Search Terra', 'search.terra.', 'query='),
	(12, 'Voila', 'voila.', 'kw='),
	(13, 'Search.Com', 'www.search.com', 'q='),
	(14, 'Yahoo', 'yahoo.', 'p='),
	(15, 'Go Com', '.go.com', 'qt='),
	(16, 'Ask Com', '.ask.com', 'ask='),
	(17, 'Atomz', 'atomz.', 'sp-q='),
	(18, 'EuroSeek', 'euroseek.', 'query='),
	(19, 'Excite', 'excite.', 'search='),
	(20, 'FindArticles', 'findarticles.com', 'key='),
	(21, 'Go2Net', 'go2net.com', 'general='),
	(22, 'HotBot', 'hotbot.', 'mt='),
	(23, 'InfoSpace', 'infospace.com', 'qkw='),
	(24, 'Kvasir', 'kvasir.', 'q='),
	(25, 'LookSmart', 'looksmart.', 'key='),
	(26, 'Mamma', 'mamma.', 'query='),
	(27, 'MetaCrawler', 'metacrawler.', 'general='),
	(28, 'Nbci.Com', 'nbci.com/search', 'keyword='),
	(29, 'Northernlight', 'northernlight.', 'qr='),
	(30, 'Overture', 'overture.com', 'keywords='),
	(31, 'Dogpile', 'dogpile.com', 'qkw='),
	(32, 'Dogpile', 'search.dogpile.com', 'q='),
	(33, 'Spray', 'spray.', 'string='),
	(34, 'Teoma', 'teoma.', 'q='),
	(35, 'Virgilio', 'virgilio.it', 'qs='),
	(36, 'Webcrawler', 'webcrawler', 'searchText='),
	(37, 'Wisenut', 'wisenut.com', 'query='),
	(38, 'ix quick', 'ixquick.com', 'query='),
	(39, 'Earthlink', 'search.earthlink.net', 'q='),
	(40, 'Sympatico', 'search.sli.sympatico.ca', 'query='),
	(41, 'I-une', 'i-une.com', 'keywords=,q='),
	(42, 'Miner.Bol.Com', 'miner.bol.com.br', 'q='),
	(43, 'Baidu', 'baidu.com', 'word='),
	(44, 'Sina', 'search.sina.com', 'word='),
	(45, 'Sohu', 'search.sohu.com', 'word='),
	(46, 'Atlas cz', 'atlas.cz', 'searchtext='),
	(47, 'Seznam cz', 'seznam.cz', 'w='),
	(48, 'Ftxt Quick cz', 'ftxt.quick.cz', 'query='),
	(49, 'Centrum cz', 'centrum.cz', 'q='),
	(50, 'Opasia dk', 'opasia.dk', 'q='),
	(51, 'Danielsen', 'danielsen.com', 'q='),
	(52, 'Sol dk', 'sol.dk', 'q='),
	(53, 'Jubii dk', 'jubii.dk', 'soegeord='),
	(54, 'Find dk', 'find.dk', 'words='),
	(55, 'Edderkoppen dk', 'edderkoppen.dk', 'query='),
	(56, 'Orbis dk', 'orbis.dk', 'search_field='),
	(57, '1klik dk', '1klik.dk', 'query='),
	(58, 'Ofir dk', 'ofir.dk', 'querytext='),
	(59, 'Ilse nl', 'ilse.', 'search_for='),
	(60, 'Vindex nl', 'vindex.', 'in='),
	(61, 'Ask uk', 'ask.co.uk', 'ask='),
	(62, 'BBC uk', 'bbc.co.uk/cgi-bin/search', 'q='),
	(63, 'ifind uk', 'ifind.freeserve', 'q='),
	(64, 'Looksmart uk', 'looksmart.co.uk', 'key='),
	(65, 'mirago uk', 'mirago.', 'txtsearch='),
	(66, 'Splut uk', 'splut.', 'pattern='),
	(67, 'Spotjockey uk', 'spotjockey.', 'Search_Keyword='),
	(68, 'Ukindex uk', 'ukindex.co.uk', 'stext='),
	(69, 'Ukdirectory uk', 'ukdirectory.', 'k='),
	(70, 'Ukplus uk', 'ukplus.', 'search='),
	(71, 'Searchy uk', 'searchy.co.uk', 'search_term='),
	(73, 'Haku fi', 'haku.www.fi', 'w='),
	(74, 'Nomade fr', 'nomade.fr', 's='),
	(75, 'Francite fr', 'francite.', 'name='),
	(76, 'Club internet fr', 'recherche.club-internet.fr', 'q='),
	(77, 'T-Online Suche', 'suche.t-online.de', 'q=');

  
INSERT IGNORE INTO #__Stalytics_browser VALUES 
	(1, 'msie', 'Internet Explorer'),
	(2, 'netscape', 'Netscape'),
	(3, 'firefox', 'FireFox'),
	(4, 'icab', 'iCab'),
	(5, 'go!zilla', 'Go!Zilla'),
	(6, 'konqueror', 'Konqueror'),
	(7, 'links', 'Links'),
	(8, 'lynx', 'Lynx'),
	(9, 'omniweb', 'OmniWeb'),
	(10, 'opera', 'Opera'),
	(11, 'wget', 'Wget'),
	(12, '22acidownload', '22AciDownload'),
	(13, 'aol\\-iweng', 'AOL-Iweng'),
	(14, 'amaya', 'Amaya'),
	(15, 'amigavoyager', 'AmigaVoyager'),
	(16, 'aweb', 'AWeb'),
	(17, 'bpftp', 'BPFTP'),
	(18, 'cyberdog', 'Cyberdog'),
	(19, 'dreamcast', 'Dreamcast'),
	(20, 'downloadagent', 'DownloadAgent'),
	(21, 'ecatch', 'eCatch'),
	(22, 'emailsiphon', 'EmailSiphon'),
	(23, 'encompass', 'Encompass'),
	(24, 'friendlyspider', 'FriendlySpider'),
	(25, 'fresco', 'ANT Fresco'),
	(26, 'galeon', 'Galeon'),
	(27, 'getright', 'GetRight'),
	(28, 'headdump', 'HeadDump'),
	(29, 'hotjava', 'Sun HotJava'),
	(30, 'ibrowse', 'IBrowse'),
	(31, 'intergo', 'InterGO'),
	(32, 'linemodebrowser', 'W3C Line Mode Browser'),
	(33, 'lotus-notes', 'Lotus Notes web client'),
	(34, 'macweb', 'MacWeb'),
	(35, 'ncsa_mosaic', 'NCSA Mosaic'),
	(36, 'netpositive', 'NetPositive'),
	(37, 'nutscrape', 'Nutscrape'),
	(38, 'msfrontpageexpress', 'MS FrontPage Express'),
	(39, 'phoenix', 'Phoenix'),
	(40, 'tzgeturl', 'TzGetURL'),
	(41, 'viking', 'Viking'),
	(42, 'webfetcher', 'WebFetcher'),
	(43, 'webexplorer', 'IBM-WebExplorer'),
	(44, 'webmirror', 'WebMirror'),
	(45, 'webvcr', 'WebVCR'),
	(46, 'teleport', 'TelePort Pro'),
	(47, 'webcapture', 'Acrobat'),
	(48, 'webcopier', 'WebCopier'),
	(49, 'real', 'RealAudio or compatible (media player)'),
	(50, 'winamp', 'WinAmp (media player)'),
	(51, 'windows-media-player', 'Windows Media Player (media player)'),
	(52, 'audion', 'Audion (media player)'),
	(53, 'freeamp', 'FreeAmp (media player)'),
	(54, 'itunes', 'Apple iTunes (media player)'),
	(55, 'jetaudio', 'JetAudio (media player)'),
	(56, 'mint_audio', 'Mint Audio (media player)'),
	(57, 'mpg123', 'mpg123 (media player)'),
	(58, 'nsplayer', 'NetShow Player (media player)'),
	(59, 'sonique', 'Sonique (media player)'),
	(60, 'uplayer', 'Ultra Player (media player)'),
	(61, 'xmms', 'XMMS (media player)'),
	(62, 'xaudio', 'Some XAudio Engine based MPEG player (media player'),
	(63, 'mmef', 'Microsoft Mobile Explorer (PDA/Phone browser)'),
	(64, 'mspie', 'MS Pocket Internet Explorer (PDA/Phone browser)'),
	(65, 'wapalizer', 'WAPalizer (PDA/Phone browser)'),
	(66, 'wapsilon', 'WAPsilon (PDA/Phone browser)'),
	(67, 'webcollage', 'WebCollage (PDA/Phone browser)'),
	(68, 'alcatel', 'Alcatel Browser (PDA/Phone browser)'),
	(69, 'nokia', 'Nokia Browser (PDA/Phone browser)'),
	(70, 'webtv', 'WebTV browser'),
	(71, 'csscheck', 'WDG CSS Validator'),
	(72, 'w3m', 'w3m'),
	(73, 'w3c_css_validator', 'W3C CSS Validator'),
	(74, 'w3c_validator', 'W3C HTML Validator'),
	(75, 'wdg_validator', 'WDG HTML Validator'),
	(76, 'webzip', 'WebZIP'),
	(77, 'staroffice', 'StarOffice'),
	(78, 'libwww', 'LibWWW'),
	(79, 'httrack', 'HTTrack (offline browser utility)'),
	(80, 'webstripper', 'webstripper (offline browser)'),
	(81, 'safari', 'Safari'),
	(82, 'avant browser', 'avant browser'),
	(83, 'firebird', 'firebird'),
	(84, 'avantgo', 'avantgo'),
	(85, 'gecko', 'Mozilla'),
	(86, 'navio_aoltv', 'navio aoltv');

  
INSERT IGNORE INTO #__Stalytics_os VALUES 
	(1, 'win95', 'Windows 95'),
	(2, 'windows 95', 'Windows 95'),
	(3, 'win98', 'Windows 98'),
	(4, 'windows 98', 'Windows 98'),
	(5, 'winme', 'Windows me'),
	(6, 'windows me', 'Windows me'),
	(7, 'windows nt 5.0', 'Windows 2000'),
	(8, 'winnt 5.0', 'Windows 2000'),
	(10, 'winnt 5.1', 'Windows XP'),
	(11, 'windows nt 5.1', 'Windows XP'),
	(12, 'macintosh', 'Mac OS'),
	(13, 'linux', 'Linux'),
	(14, 'aix', 'Aix'),
	(15, 'sunos', 'Sun Solaris'),
	(16, 'irix', 'Irix'),
	(17, 'osf', 'OSF Unix'),
	(18, 'hp-ux', 'HP Unix'),
	(19, 'netbsd', 'NetBSD'),
	(20, 'bsdi', 'BSDi'),
	(21, 'freebsd', 'FreeBSD'),
	(22, 'openbsd', 'OpenBSD'),
	(23, 'unix', 'Unknown Unix system'),
	(24, 'beos', 'BeOS'),
	(25, 'os/2', 'Warp OS/2'),
	(26, 'amigaos', 'AmigaOS'),
	(27, 'vms', 'VMS'),
	(28, 'cp/m', 'CPM'),
	(29, 'crayos', 'CrayOS'),
	(30, 'dreamcast', 'Dreamcast'),
	(31, 'riscos', 'RISC OS'),
	(32, 'webtv', 'WebTV'),
	(33, 'windows nt 5.2', 'Windows 2003'),
	(34, 'mac_powerpc', 'Mac PowerPC'),
	(35, 'mac os x', 'Mac OS X'),
	(36, 'windows nt', 'Windows NT');

	  
INSERT IGNORE INTO #__Stalytics_lang (lang_string,lang_name) VALUES 
	('aa','Afar'),
	('ab','Abchasisch'),
	('af','Afrikaans'),
	('am','Amharisch'),
	('ar','Arabisch'),
	('as','Assamesisch'),
	('ay','Aymara'),
	('az','Aserbaidschanisch'),
	('ba','Baschkirisch'),
	('be','Belorussisch'),
	('bg','Bulgarisch'),
	('bh','Biharisch'),
	('bi','Bislamisch'),
	('bn','Bengalisch'),
	('bo','Tibetanisch'),
	('br','Bretonisch'),
	('ca','Katalanisch'),
	('co','Korsisch'),
	('cs','Tschechisch'),
	('cy','Walisisch'),
	('da','Daenisch'),
	('de','Deutsch'),
	('dz','Dzongkha, Bhutani'),
	('el','Griechisch'),
	('en','Englisch'),
	('eo','Esperanto'),
	('es','Spanisch'),
	('et','Estnisch'),
	('eu','Baskisch'),
	('fa','Persisch'),
	('fi','Finnisch'),
	('fj','Fiji'),
	('fo','Faerueisch'),
	('fr','Franzuesisch'),
	('fy','Friesisch'),
	('ga','Irisch'),
	('gd','Schottisches Gaelisch'),
	('gl','alizisch'),
	('gn','Guarani'),
	('gu','Gujaratisch'),
	('ha','Haussa'),
	('he','Hebraeisch'),
	('hi','Hindi'),
	('hr','Kroatisch'),
	('hu','Ungarisch'),
	('hy','Armenisch'),
	('ia','Interlingua'),
	('id','Indonesisch'),
	('ie','Interlingue'),
	('ik','Inupiak'),
	('is','Islaendisch'),
	('it','Italienisch'),
	('iu','Inuktitut (Eskimo)'),
	('iw','Hebraeisch'),
	('he','Hebraeisch'),
	('ja','Japanisch'),
	('ji','Jiddish'),
	('yi','Jiddish'),
	('jv','Javanisch'),
	('ka','Georgisch'),
	('kk','Kasachisch'),
	('kl','Kalaallisut (Gruenlaendisch)'),
	('km','Kambodschanisch'),
	('kn','Kannada'),
	('ko','Koreanisch'),
	('ks','Kaschmirisch'),
	('ku','Kurdisch'),
	('ky','Kirgisisch'),
	('la','Lateinisch'),
	('ln','Lingala'),
	('lo','Laotisch'),
	('lt','Litauisch'),
	('lv','Lettisch'),
	('mg','Malagasisch'),
	('mi','Maorisch'),
	('mk','Mazedonisch'),
	('ml','Malajalam'),
	('mn','Mongolisch'),
	('mo','Moldavisch'),
	('mr','Marathi'),
	('ms','Malaysisch'),
	('mt','Maltesisch'),
	('my','Burmesisch'),
	('na','Nauruisch'),
	('ne','Nepalesisch'),
	('nl','Niederlaendisch'),
	('no','Norwegisch'),
	('oc','Okzitanisch'),
	('om','Oromo'),
	('or','Oriya'),
	('pa','Pundjabisch'),
	('pl','Polnisch'),
	('ps','Paschtu'),
	('pt','Portugiesisch'),
	('qu','Quechua'),
	('rm','Raetoromanisch'),
	('rn','Kirundisch'),
	('ro','Rumaenisch'),
	('ru','Russisch'),
	('rw','Kijarwanda'),
	('sa','Sanskrit'),
	('sd','Zinti'),
	('sg','Sango'),
	('sh','Serbokroatisch'),
	('si','Singhalesisch'),
	('sk','Slowakisch'),
	('sl','Slowenisch'),
	('sm','Samoanisch'),
	('sn','Schonisch'),
	('so','Somalisch'),
	('sq','Albanisch'),
	('sr','Serbisch'),
	('ss','Swasilaendisch'),
	('st','Sesothisch'),
	('su','Sudanesisch'),
	('sv','Schwedisch'),
	('sw','uaheli'),
	('ta','Tamilisch'),
	('te','Tegulu'),
	('tg','Tadschikisch'),
	('th','Thai'),
	('ti','Tigrinja'),
	('tk','Turkmenisch'),
	('tl','Tagalog'),
	('tn','Sezuan'),
	('to','Tongaisch'),
	('tr','Tuerkisch'),
	('ts','Tsongaisch'),
	('tt','Tatarisch'),
	('tw','Twi'),
	('ug','Uigur'),
	('uk','Ukrainisch'),
	('ur','Urdu'),
	('uz','Usbekisch'),
	('vi','Vietnamesisch'),
	('vo','Volapuek'),
	('wo','Wolof'),
	('xh','Xhosa'),
	('yi','Jiddish'),
	('yo','Joruba'),
	('za','Zhuang'),
	('zh','Chinesisch'),
	('zu','Zulu');